
#ifndef MP1090_h
#define MP1090_h

#include "Arduino.h"

//==========================KT0830EG==========================
#define   MP1090_ADDRESS     0x37   
//===================================================
#define   MP1090_DEVICE      0x0       
#define   MP1090_CHIPID      0x1
#define   MP1090_SEEK        0x2
#define   MP1090_TUNE        0x3
#define   MP1090_VOLUME      0x4
#define   MP1090_DSPCFGA     0x5
#define   MP1090_RFCFG       0x9
#define   MP1090_LOCFGA      0xA
#define   MP1090_SYSCFG      0xF
#define   MP1090_STATUSA     0x12
#define   MP1090_STATUSB     0x13
#define   MP1090_STATUSC     0x14
#define   MP1090_STATUSD     0x15
#define   MP1090_ANTENNA     0x1D
#define   MP1090_SNR         0x1F
#define   MP1090_SEEKTH      0x20
#define   MP1090_SOFTMUTE    0x21
#define   MP1090_CLOCK       0x23
//=============================================================
#define   VOLUME_MASK        0xF
#define   STATION_MASK       0x3FF
#define   BASS_MASK          0x300


class MP1090
{
  public:
    MP1090 ();
    static void Init(byte PWR_PIN);
    static boolean SetStation(long StationFrequency);
    static void SetVolume(byte Volume);
    static void SetBass(byte Bass);
    static long GetStation (void);
    static byte GetVolume (void);
    static byte GetBass (void);
    
  private:
    static void WriteRegister(byte Register, word Value);
    static word GetStationCode(long StationFrequency);
          
};

extern MP1090 MP1090_RADIO;

#endif
 

